<?

include("../fnc.php");

enlinea_c();



//echo $max;

$id_cr=dec($cid);

$id_tr=dec($tid);

$cnt_califica=0;



for($i=1;$i<=$total;$i++){

 if(strlen($txtnota[$i])>0){

  $qver=mysql_query("select * from respuesta_tareas where alumno='{$alumno[$i]}' and tarea = $id_tr");

  $tmp="txtobs$i";
  $observaciones = $$tmp;

  if(mysql_num_rows($qver)>0){

    $sql="update 
          respuesta_tareas 
          set nota = {$txtnota[$i]}, 
          calificado='S',
          obs='$observaciones'
          where tarea = $id_tr and alumno='{$alumno[$i]}'";

    $sql=mysql_query($sql);

    $cnt_califica++;

  }else{

    $sql="insert into respuesta_tareas 
          set nota = {$txtnota[$i]}, 
          calificado='S',
          tarea = $id_tr, 
          alumno='{$alumno[$i]}', 
          respuesta='NR', 
          curso = '$id_cr',
          obs='$observaciones'";

    $sql=mysql_query($sql);

    $cnt_califica++;

  }

 }

}



 //alert("Se calificaron $cnt_califica tareas","frm_calificar_lst_tareas.php?gid=$gid&cid=$cid");
 alert("Se calificaron $cnt_califica respuestas","frm_calificar_tareas.php?tid=$tid&gid=$gid&cid=$cid&sid=$sid");

?>
